Subject: Re: [PATCH 6/16] Port 44x MMU definitions to ARCH=powerpc

From: Roland Dreier <[email-masked]>
Date: Tue, 13 Feb 2007 09:13:51 -0800

> > +typedef unsigned long long phys_addr_t;
 > > +extern phys_addr_t fixup_bigphys_addr(phys_addr_t, phys_addr_t);
 > > +#define PHYS_FMT	"%16Lx"
 > 
 > Do we still need that fixup code ? Since we now have full 64 bits
 > capable ioremap, we don't need to play tricks anymore. I'd rather get
 > rid of them completely.

Maybe make the fixup code print a warning when it actually changes an
address below 4G so we can track down all the places relying on this?

 - R.